/* This file is here to prevent a file conflict on multiarch systems.  A
 * conflict will occur because sigsegv.h has arch-specific definitions.
 *
 * DO NOT INCLUDE THE NEW FILE DIRECTLY -- ALWAYS INCLUDE THIS ONE INSTEAD. */

#if defined(__x86_64__)
#include "sigsegv-x86_64.h"
#elif defined(__i386__)
#include "sigsegv-i386.h"
#elif defined(__powerpc64__)
#include "sigsegv-ppc64.h"
#elif defined(__powerpc__)
#include "sigsegv-ppc.h"
#elif defined(__s390x__)
#include "sigsegv-s390x.h"
#elif defined(__s390__)
#include "sigsegv-s390.h"
#elif defined(__sparc__) && defined (__arch64__)
#include "sigsegv-sparc64.h"
#elif defined(__sparc__)
#include "sigsegv-sparc.h"
#else
#error "This libsigsegv-devel package does not work your architecture?"
#endif
